package com.bby.sharedbasit;

import android.os.Bundle;
import android.preference.PreferenceManager;
import android.app.Activity;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MainActivity extends Activity {

	private Button kaydetButton;
	private EditText baslik;
	private String baslikText;
	private SharedPreferences sp;
	private Editor edit;
	private Button gosterButton;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		kaydetButton = (Button) findViewById(R.id.kaydet);
		baslik = (EditText) findViewById(R.id.baslikInput);
		gosterButton = (Button) findViewById(R.id.goster);

		sp = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);

		edit = sp.edit();

		kaydetButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				baslikText = baslik.getText().toString();
				edit.putString("Anahtar", baslikText);
				edit.commit();
			}
		});

		gosterButton.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				String gelenText;

				gelenText = sp.getString("Anahtar", "Kayt bulunamad");

				Toast.makeText(MainActivity.this, gelenText, Toast.LENGTH_SHORT)
						.show();

			}
		});

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
